# 导出服务拆解分析
## 一、功能描述
主要功能：针对系统的提供各种单据的导出
## 二、代码运行截图
![输入图片说明](/imgs/2024-02-27/f7Al9AOfDe2A9pHM.png)
## 核心接口说明
<table >
	<tbody>
		<tr>
			<td >类名地址</td>
			<td >类地址名</td>
			<td >类说明</td>
			<td >请求方式</td>
			<td >api方法地址</td>
			<td >方法名</td>
			<td >方法说明</td>
		</tr>
		<tr>
	<td rowspan="3" >ActivityclientRest</td>
			<td rowspan="3" >/api/activityclient</td>
			<td rowspan="3" >控制器</td>
			<td >T</td>
			<td >/exportActivityclient</td>
			<td >exportActivityclient</td>
			<td >导出全线活动列表信息</td>
		</tr>
		<tr>
			<td >post</td>
			<td >/exportActivityclientTemp</td>
			<td >exportActivityclientTemp</td>
			<td >导出全线活动列模板</td>
		</tr>
		<tr>
			<td >post</td>
			<td >/importActivityclient</td>
			<td >importActivityclient</td>
			<td >导入全线活动列表</td>
		</tr>
		<tr>
			<td rowspan="2" >ActivitydetailclientRest</td>
			<td rowspan="2" >/api/activitydetailclient</td>
			<td rowspan="2" >活动详情控制器</td>
			<td >GET</td>
			<td >/downloadActivitydetailTemp</td>
			<td >downloadActivitydetailTempexport</td>
			<td >导活动商品</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/uploadexportActivityclientdetail</td>
			<td >exportuploadActivityclientdetail</td>
			<td >导入活动商品明细</td>
		</tr>
		<tr>
			<td rowspan="32" >ActivityorderRest</td>
			<td rowspan="32" >/api/activityorder</td>
			<td rowspan="32" >活动订单控制器</td>
			<td >post</td>
			<td >/exportActivityManageOrder</td>
			<td >exportActivityManageOrder</td>
			<td >导出活动管理订单列表信息</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/exportActivityOrder</td>
			<td >exportActivityOrder</td>
			<td >导出活动订单列表信息</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/exportGiftOrderManage</td>
			<td >exportGiftOrderManage</td>
			<td >导出活动订单管理礼品列表信息入活动商品明细</td>
		</tr>
	</tbody>
</table>


<!--stackedit_data:
eyJoaXN0b3J5IjpbMTE2NjcyNDcwMywtMTM2NjkzMzQ1MCwxMT
c0NjEwMjg5LDI2MzU1NzkzNCwxOTA2ODAwMTE0LC0xNjA5OTE2
MDA0LC0xMjczNDcwMjM0LC01MjAyMDU1NzgsLTc2MDU4MTA0OS
wtODIzMjA2NTE2LDYxMDE1MzIxMSwzNjM4NDUwMTksODc1MjM3
OTYsODY5NTczMDAwLC0xMTQwODc0NzkwXX0=
-->